Package org.etsi.uri._01903.v1_3

# Class UnsignedSignatureProperties

java.lang.Object
org.etsi.uri._01903.v1_3.UnsignedSignatureProperties

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class UnsignedSignatureProperties extends Object implements Serializable

Java class for UnsignedSignaturePropertiesType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="UnsignedSignaturePropertiesType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CounterSignature" type="{http://uri.etsi.org/01903/v1.3.2#}CounterSignatureType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="SignatureTimeStamp" type="{http://uri.etsi.org/01903/v1.3.2#}XAdESTimeStampType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="CompleteCertificateRefs" type="{http://uri.etsi.org/01903/v1.3.2#}CompleteCertificateRefsType" minOccurs="0"/>
             <element name="CompleteRevocationRefs" type="{http://uri.etsi.org/01903/v1.3.2#}CompleteRevocationRefsType" minOccurs="0"/>
             <element name="AttributeCertificateRefs" type="{http://uri.etsi.org/01903/v1.3.2#}CompleteCertificateRefsType" minOccurs="0"/>
             <element name="AttributeRevocationRefs" type="{http://uri.etsi.org/01903/v1.3.2#}CompleteRevocationRefsType" minOccurs="0"/>
             <element name="SigAndRefsTimeStamp" type="{http://uri.etsi.org/01903/v1.3.2#}XAdESTimeStampType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="RefsOnlyTimeStamp" type="{http://uri.etsi.org/01903/v1.3.2#}XAdESTimeStampType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="CertificateValues" type="{http://uri.etsi.org/01903/v1.3.2#}CertificateValuesType" minOccurs="0"/>
             <element name="RevocationValues" type="{http://uri.etsi.org/01903/v1.3.2#}RevocationValuesType" minOccurs="0"/>
             <element name="AttrAuthoritiesCertValues" type="{http://uri.etsi.org/01903/v1.3.2#}CertificateValuesType" minOccurs="0"/>
             <element name="AttributeRevocationValues" type="{http://uri.etsi.org/01903/v1.3.2#}RevocationValuesType" minOccurs="0"/>
             <element name="ArchiveTimeStamp" type="{http://uri.etsi.org/01903/v1.3.2#}XAdESTimeStampType" maxOccurs="unbounded" minOccurs="0"/>
             <any namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnsignedSignatureProperties()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Object>`
  `getAnies()`
  Gets the value of the anies property.
  `List<XAdESTimeStampType>`
  `getArchiveTimeStamps()`
  Gets the value of the archiveTimeStamps property.
  `CertificateValuesType`
  `getAttrAuthoritiesCertValues()`
  Gets the value of the attrAuthoritiesCertValues property.
  `CompleteCertificateRefsType`
  `getAttributeCertificateRefs()`
  Gets the value of the attributeCertificateRefs property.
  `CompleteRevocationRefsType`
  `getAttributeRevocationRefs()`
  Gets the value of the attributeRevocationRefs property.
  `RevocationValuesType`
  `getAttributeRevocationValues()`
  Gets the value of the attributeRevocationValues property.
  `CertificateValuesType`
  `getCertificateValues()`
  Gets the value of the certificateValues property.
  `CompleteCertificateRefsType`
  `getCompleteCertificateRefs()`
  Gets the value of the completeCertificateRefs property.
  `CompleteRevocationRefsType`
  `getCompleteRevocationRefs()`
  Gets the value of the completeRevocationRefs property.
  `List<CounterSignature>`
  `getCounterSignatures()`
  Gets the value of the counterSignatures property.
  `String`
  `getId()`
  Gets the value of the id property.
  `List<XAdESTimeStampType>`
  `getRefsOnlyTimeStamps()`
  Gets the value of the refsOnlyTimeStamps property.
  `RevocationValuesType`
  `getRevocationValues()`
  Gets the value of the revocationValues property.
  `List<XAdESTimeStampType>`
  `getSigAndRefsTimeStamps()`
  Gets the value of the sigAndRefsTimeStamps property.
  `List<XAdESTimeStampType>`
  `getSignatureTimeStamps()`
  Gets the value of the signatureTimeStamps property.
  `void`
  `setAttrAuthoritiesCertValues(CertificateValuesType value)`
  Sets the value of the attrAuthoritiesCertValues property.
  `void`
  `setAttributeCertificateRefs(CompleteCertificateRefsType value)`
  Sets the value of the attributeCertificateRefs property.
  `void`
  `setAttributeRevocationRefs(CompleteRevocationRefsType value)`
  Sets the value of the attributeRevocationRefs property.
  `void`
  `setAttributeRevocationValues(RevocationValuesType value)`
  Sets the value of the attributeRevocationValues property.
  `void`
  `setCertificateValues(CertificateValuesType value)`
  Sets the value of the certificateValues property.
  `void`
  `setCompleteCertificateRefs(CompleteCertificateRefsType value)`
  Sets the value of the completeCertificateRefs property.
  `void`
  `setCompleteRevocationRefs(CompleteRevocationRefsType value)`
  Sets the value of the completeRevocationRefs property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setRevocationValues(RevocationValuesType value)`
  Sets the value of the revocationValues property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnsignedSignatureProperties

    public UnsignedSignatureProperties()

- ## Method Details

  - ### getCounterSignatures

    public List<CounterSignature> getCounterSignatures()
    Gets the value of the counterSignatures property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the counterSignatures property.

    For example, to add a new item, do as follows:

         getCounterSignatures().add(newItem);

    Objects of the following type(s) are allowed in the list `CounterSignature`

    Returns:
      The value of the counterSignatures property.

  - ### getSignatureTimeStamps

    public List<XAdESTimeStampType> getSignatureTimeStamps()
    Gets the value of the signatureTimeStamps property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the signatureTimeStamps property.

    For example, to add a new item, do as follows:

         getSignatureTimeStamps().add(newItem);

    Objects of the following type(s) are allowed in the list `XAdESTimeStampType`

    Returns:
      The value of the signatureTimeStamps property.

  - ### getCompleteCertificateRefs

    public CompleteCertificateRefsType getCompleteCertificateRefs()
    Gets the value of the completeCertificateRefs property.
    Returns:
      possible object is `CompleteCertificateRefsType`

  - ### setCompleteCertificateRefs

    public void setCompleteCertificateRefs(CompleteCertificateRefsType value)
    Sets the value of the completeCertificateRefs property.
    Parameters:
      `value` - allowed object is `CompleteCertificateRefsType`

  - ### getCompleteRevocationRefs

    public CompleteRevocationRefsType getCompleteRevocationRefs()
    Gets the value of the completeRevocationRefs property.
    Returns:
      possible object is `CompleteRevocationRefsType`

  - ### setCompleteRevocationRefs

    public void setCompleteRevocationRefs(CompleteRevocationRefsType value)
    Sets the value of the completeRevocationRefs property.
    Parameters:
      `value` - allowed object is `CompleteRevocationRefsType`

  - ### getAttributeCertificateRefs

    public CompleteCertificateRefsType getAttributeCertificateRefs()
    Gets the value of the attributeCertificateRefs property.
    Returns:
      possible object is `CompleteCertificateRefsType`

  - ### setAttributeCertificateRefs

    public void setAttributeCertificateRefs(CompleteCertificateRefsType value)
    Sets the value of the attributeCertificateRefs property.
    Parameters:
      `value` - allowed object is `CompleteCertificateRefsType`

  - ### getAttributeRevocationRefs

    public CompleteRevocationRefsType getAttributeRevocationRefs()
    Gets the value of the attributeRevocationRefs property.
    Returns:
      possible object is `CompleteRevocationRefsType`

  - ### setAttributeRevocationRefs

    public void setAttributeRevocationRefs(CompleteRevocationRefsType value)
    Sets the value of the attributeRevocationRefs property.
    Parameters:
      `value` - allowed object is `CompleteRevocationRefsType`

  - ### getSigAndRefsTimeStamps

    public List<XAdESTimeStampType> getSigAndRefsTimeStamps()
    Gets the value of the sigAndRefsTimeStamps property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the sigAndRefsTimeStamps property.

    For example, to add a new item, do as follows:

         getSigAndRefsTimeStamps().add(newItem);

    Objects of the following type(s) are allowed in the list `XAdESTimeStampType`

    Returns:
      The value of the sigAndRefsTimeStamps property.

  - ### getRefsOnlyTimeStamps

    public List<XAdESTimeStampType> getRefsOnlyTimeStamps()
    Gets the value of the refsOnlyTimeStamps property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the refsOnlyTimeStamps property.

    For example, to add a new item, do as follows:

         getRefsOnlyTimeStamps().add(newItem);

    Objects of the following type(s) are allowed in the list `XAdESTimeStampType`

    Returns:
      The value of the refsOnlyTimeStamps property.

  - ### getCertificateValues

    public CertificateValuesType getCertificateValues()
    Gets the value of the certificateValues property.
    Returns:
      possible object is `CertificateValuesType`

  - ### setCertificateValues

    public void setCertificateValues(CertificateValuesType value)
    Sets the value of the certificateValues property.
    Parameters:
      `value` - allowed object is `CertificateValuesType`

  - ### getRevocationValues

    public RevocationValuesType getRevocationValues()
    Gets the value of the revocationValues property.
    Returns:
      possible object is `RevocationValuesType`

  - ### setRevocationValues

    public void setRevocationValues(RevocationValuesType value)
    Sets the value of the revocationValues property.
    Parameters:
      `value` - allowed object is `RevocationValuesType`

  - ### getAttrAuthoritiesCertValues

    public CertificateValuesType getAttrAuthoritiesCertValues()
    Gets the value of the attrAuthoritiesCertValues property.
    Returns:
      possible object is `CertificateValuesType`

  - ### setAttrAuthoritiesCertValues

    public void setAttrAuthoritiesCertValues(CertificateValuesType value)
    Sets the value of the attrAuthoritiesCertValues property.
    Parameters:
      `value` - allowed object is `CertificateValuesType`

  - ### getAttributeRevocationValues

    public RevocationValuesType getAttributeRevocationValues()
    Gets the value of the attributeRevocationValues property.
    Returns:
      possible object is `RevocationValuesType`

  - ### setAttributeRevocationValues

    public void setAttributeRevocationValues(RevocationValuesType value)
    Sets the value of the attributeRevocationValues property.
    Parameters:
      `value` - allowed object is `RevocationValuesType`

  - ### getArchiveTimeStamps

    public List<XAdESTimeStampType> getArchiveTimeStamps()
    Gets the value of the archiveTimeStamps property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the archiveTimeStamps property.

    For example, to add a new item, do as follows:

         getArchiveTimeStamps().add(newItem);

    Objects of the following type(s) are allowed in the list `XAdESTimeStampType`

    Returns:
      The value of the archiveTimeStamps property.

  - ### getAnies

    public List<Object> getAnies()
    Gets the value of the anies property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the anies property.

    For example, to add a new item, do as follows:

         getAnies().add(newItem);

    Objects of the following type(s) are allowed in the list `Object`

    Returns:
      The value of the anies property.

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`